個別アプリ専用支払方法削除
DELETE
/app_payment_methods/{app_payment_method_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/app_payment_methods/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/app_payment_methods/example \ --header 'Authorization: Bearer <token>'個別アプリ専用支払方法を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”app_payment_method_id
required
string
個別アプリ専用支払方法ID
Responses
Section titled “Responses”削除成功
- 指定されたIDがクライアントIDに紐づかない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定されたIDがクライアントIDに紐づかない場合
{ "type": "about:blank", "title": "Forbidden", "detail": "指定されたIDがクライアントIDに紐づかないため、削除できません。", "status": 403}- 指定されたIDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}